Bug 849832 - [abrt] subscription-manager-1.0.13-1.fc16: certdirectory.py:22:<module>:ImportError: cannot import name create_from_file
[abrt] subscription-manager-1.0.13-1.fc16: certdirectory.py:22:<module>:Impor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subscription-manager (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
abrt_hash:35ecb8c68a2bcc123ff63194c30...
:
Depends On:
Blocks: rhsm-rhel65 rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-08-21 01:10 EDT by geminic86
Modified: 2013-02-13 20:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-08-21 01:10:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/rhsmcertd-worker --autoheal
executable:     /usr/libexec/rhsmcertd-worker
kernel:         3.4.2-1.fc16.i686.PAEdebug
time:           Sat 18 Aug 2012 03:00:58 PM EDT
uid:            0
username:       root

backtrace:      Text file, 7065 bytes

event_log:
:2012-08-21-01:10:16> Smolt profile successfully saved
:2012-08-21-01:10:41> Can't open '/home/optimusprime/documents' for writing. Please select another file: 
:2012-08-21-01:10:41  Cancelled by user.
:2012-08-21-01:10:41* (exited with 1)

smolt_data:
:
:
:General
:=================================
:UUID: c780190e-b943-4304-addb-8f9b9ef2eb6d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3785.66
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) XEON(TM) MP CPU 1.90GHz
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 8
:CPU Speed: 1900
:System Memory: 5544
:System Swap: 5567
:Vendor: Dell Computer Corporation
:System: PowerEdge 6650 
:Form factor: Main Server Chassis
:Kernel: 3.4.7-1.fc16.i686.PAEdebug
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:17:0:0) pci, None, HOST/PCI, CMIC-HE
:(4454:17:0:0) pci, None, HOST/PCI, CMIC-HE
:(4454:17:0:0) pci, None, HOST/PCI, CMIC-HE
:(4454:17:0:0) pci, None, HOST/PCI, CMIC-HE
:(32902:4649:32902:4176) pci, e100, ETHERNET, EtherExpress PRO/100 S Server Adapter
:(32902:45396:0:0) pci, None, PCI/PCI, 21154 PCI-to-PCI Bridge
:(4215:4630:4126:33939) pci, None, SCSI, QLA12160 on AMI MegaRAID
:(5348:5700:4136:265) pci, tg3, ETHERNET, Broadcom BCM5700 1000Base-T
:(32902:45396:0:0) pci, None, PCI/PCI, 21154 PCI-to-PCI Bridge
:(4126:6496:4136:1171) pci, megaraid, RAID, PowerEdge RAID Controller 3/DC
:(5348:5700:4136:265) pci, tg3, ETHERNET, Broadcom BCM5700 1000Base-T
:(4098:18258:4136:266) pci, None, VIDEO, Rage XL
:(36869:143:4136:266) pci, aic7xxx, SCSI, AIC-7892P U160/m
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:16:0:0) pci, None, HOST/PCI, CIOB30
:(4454:513:4454:513) pci, None, HOST/PCI, CSB5 South Bridge
:(4454:530:4454:530) pci, pata_serverworks, STORAGE, CSB5 IDE Controller
:(4454:544:4454:544) pci, ohci_hcd, USB, OSB4/CSB5 OHCI USB Controller
:(4454:549:4454:560) pci, None, PCI/ISA, CSB5 LPC bridge
:(4136:9:4136:9) pci, None, MISC, Remote Access Card III: BMC/SMIC device not present
:(4136:8:4136:8) pci, serial, MISC, Remote Access Card III
:(4136:7:4136:7) pci, None, MISC, Remote Access Card III
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_bigboy3-lv_root / ext4 4096 4096 7272665 1045880 973076 1826816 1220158 1220158
:/dev/sda1 /boot ext4 1024 1024 508644 150902 125302 128016 127701 127701
:
Comment 1 Devan Goodwin 2012-08-21 07:56:44 EDT
You are using very new subscription-manager, do you also have latest python-rhsm? (1.0.5)

I will update the required version in spec file for future releases.
Comment 2 Fedora End Of Life 2013-01-16 17:36:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 20:07:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.